# -*- coding: utf-8 -*-
from setuphelpers import *

r"""
Usable WAPT package functions: install(), uninstall(), session_setup(), audit(), update_package()

"""
# Declaring global variables - Warnings: 1) WAPT context is only available in package functions; 2) Global variables are not persistent between calls


def install():
    # Declaring local variables
    bin_name = glob.glob('TextExpanderSetup-*.exe')[0]
    # Installing the software

    install_exe_if_needed(bin_name,
        silentflags='/install /q',
        min_version=control.get_software_version(),
    )

def uninstall():

    # Uninstalling the additionnal softwares
    to_uninstall_soft = installed_softwares("TextExpander")
    for to_uninstall in to_uninstall_soft:
        print("Removing: %s (%s)" % (to_uninstall["name"], to_uninstall["version"]))
        killalltasks(ensure_list(control.impacted_process))
        run(uninstall_cmd(to_uninstall["key"]))
        wait_uninstallkey_absent(to_uninstall["key"])

